Bug 458021 - kernel: random32: seeding improvement [rhel-5.2.z]
Summary: kernel: random32: seeding improvement [rhel-5.2.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2.z
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 458016 458019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-06 06:36 UTC by Eugene Teo (Security Response)
Modified: 2015-05-05 01:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-04 10:30:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0957 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-11-12 09:34:44 UTC

Description Eugene Teo (Security Response) 2008-08-06 06:36:29 UTC
+++ This bug was initially created as a clone of Bug #458016 +++

Description of problem:
Stephen Hemminger wrote a patch to improve random32() seeding.

The rationale is:
   * use u32 consistently
   * no need to do LCG on values from (better) get_random_bytes
   * use more data from get_random_bytes for secondary seeding
   * don't reduce state space on srandom32()
   * enforce state variable initialization restrictions

--- Additional comment from eteo@redhat.com on 2008-08-06 02:18:35 EDT ---

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=697f8d0348a652593d195a13dd1067d9df911a82

--- Additional comment from eteo@redhat.com on 2008-08-06 02:22:51 EDT ---

Created an attachment (id=313529)
Upstream patch for this issue

Comment 2 RHEL Program Management 2008-08-07 14:43:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Eugene Teo (Security Response) 2008-08-26 16:55:03 UTC
It needs the following upstream patch as well:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=61407f80f72970d52d4339f81c6c3cd03f4ca0f0

Comment 6 Jiri Pirko 2008-09-26 07:56:43 UTC
in kernel-2.6.18-92.1.14.el5

you can download RPMs from http://people.redhat.com/jpirko/.el52z/92.1.14/

Comment 10 errata-xmlrpc 2008-11-04 10:30:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0957.html


Note You need to log in before you can comment on or make changes to this bug.